| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::Playback Class Reference

`#include <RecordPlayback.hpp>`

## Public Member Functions
| Playback (const char *filename)
| Create a playback object.
| Playback (std::unique_ptr< PlaybackImpl > impl)
virtual | ~Playback () noexcept
void | start (PlaybackCallback callback, OBMediaType type=OB_MEDIA_ALL)
| Start playback. The playback data is returned from the callback. Throws an exception on failure.
void | stop ()
| Stop playback. Throws an exception on failure.
void | setPlaybackStateCallback (MediaStateCallback state)
| Set the playback state.
std::shared_ptr< DeviceInfo > | getDeviceInfo ()
| Get the device information in the recording file.
OBCameraParam | getCameraParam ()
| Get the intrinsic and extrinsic parameter in the recording file.

## Detailed Description

Definition at line 63 of file RecordPlayback.hpp.

## Constructor & Destructor Documentation

## ◆ Playback() [1/2]

ob::Playback::Playback | ( | const char * | filename | ) |

Create a playback object.

Parameters

  filename | The name of the playback file.

## ◆ Playback() [2/2]

ob::Playback::Playback | ( | std::unique_ptr< PlaybackImpl > | impl | ) |

## ◆ ~Playback()

virtual ob::Playback::~Playback | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ start()

void ob::Playback::start | ( | PlaybackCallback | callback,
|  | OBMediaType | type = `OB_MEDIA_ALL`
| ) |  |

Start playback. The playback data is returned from the callback. Throws an exception on failure.

Parameters

  callback | The callback for playback data.
  type | The type of playback data.

## ◆ stop()

void ob::Playback::stop | ( |  | ) |

Stop playback. Throws an exception on failure.

## ◆ setPlaybackStateCallback()

void ob::Playback::setPlaybackStateCallback | ( | MediaStateCallback | state | ) |

Set the playback state.

Parameters

  state | The playback status callback.

## ◆ getDeviceInfo()

std::shared_ptr< DeviceInfo > ob::Playback::getDeviceInfo | ( |  | ) |

Get the device information in the recording file.

Returns
  DeviceInfo The device information.

## ◆ getCameraParam()

OBCameraParam ob::Playback::getCameraParam | ( |  | ) |

Get the intrinsic and extrinsic parameter in the recording file.

Returns
  OBCameraParam Camera intrinsic and extrinsic parameter

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/RecordPlayback.hpp